<?php

namespace Platform\EliteAdminTheme;

use Illuminate\Support\ServiceProvider;

class EliteAdminThemeServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        //
    }

    public function boot(): void
    {
        $this->loadViewsFrom(__DIR__.'/../resources/views', 'eliteadmin');

        if ($this->app->runningInConsole()) {
            $this->publishes([
                __DIR__.'/../resources/assets' => public_path('vendor/eliteadmin'),
            ], 'eliteadmin-assets');
        }
    }
}
